

Patch from Andrey Panin <pazke@orbita1.ru>

This patch marks startup_32 (in head.S) as kernel entry point, 
visws kernel loader uses raw elf kernel images and entry point 
at stext causes jump to wrong address.



 arch/i386/Makefile      |    2 +-
 arch/i386/kernel/head.S |    2 +-
 arch/i386/vmlinux.lds.S |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/i386/kernel/head.S~visws-3 arch/i386/kernel/head.S
--- 25/arch/i386/kernel/head.S~visws-3	Fri Feb 14 14:18:58 2003
+++ 25-akpm/arch/i386/kernel/head.S	Fri Feb 14 14:18:58 2003
@@ -42,7 +42,7 @@
  *
  * On entry, %esi points to the real-mode code as a 32-bit pointer.
  */
-startup_32:
+ENTRY(startup_32)
 /*
  * Set segments to known values
  */
diff -puN arch/i386/Makefile~visws-3 arch/i386/Makefile
--- 25/arch/i386/Makefile~visws-3	Fri Feb 14 14:18:58 2003
+++ 25-akpm/arch/i386/Makefile	Fri Feb 14 14:18:58 2003
@@ -17,7 +17,7 @@
 
 LDFLAGS		:= -m elf_i386
 OBJCOPYFLAGS	:= -O binary -R .note -R .comment -S
-LDFLAGS_vmlinux := -e stext
+LDFLAGS_vmlinux :=
 LDFLAGS_BLOB	:= --format binary --oformat elf32-i386
 
 CFLAGS += -pipe
diff -puN arch/i386/vmlinux.lds.S~visws-3 arch/i386/vmlinux.lds.S
--- 25/arch/i386/vmlinux.lds.S~visws-3	Fri Feb 14 14:18:58 2003
+++ 25-akpm/arch/i386/vmlinux.lds.S	Fri Feb 14 14:18:58 2003
@@ -6,7 +6,7 @@
 	
 OUTPUT_FORMAT("elf32-i386", "elf32-i386", "elf32-i386")
 OUTPUT_ARCH(i386)
-ENTRY(_start)
+ENTRY(startup_32)
 jiffies = jiffies_64;
 SECTIONS
 {

_
